package at.jku.fim.datalinksimulation.networkstack.outgoing;


/**
 * <p>Title: OSI Simulation Framework</p>
 * <p>Copyright: (c) 2004-05</p>
 * <p>Company: FIM@JKU, www.fim.uni-linz.ac.at</p>
 * @author Andreas Putzinger
 * @version $Id: OutgoingNetworkStackConfiguration.java,v 1.1 2005/10/27 13:10:11 aputzinger Exp $
 */

public interface OutgoingNetworkStackConfiguration {

    /**
     * Returns a filter configuration for a specified ISO/OSI Level
     * @param osiLevel Number between 1 and 6
     * @return Array of filters or null
     */
    public EncodingNetworkFilter[] getEncodingFilters(int osiLevel);

}