package at.jku.fim.datalinksimulation.layer2.protocols;

import java.util.BitSet;

import at.jku.fim.datalinksimulation.utils.Logger;


/**
 * <p>Title: OSI Simulation Framework</p>
 * <p>Copyright: (c) 2004-05</p>
 * <p>Company: FIM@JKU, www.fim.uni-linz.ac.at</p>
 * @author Students
 * @version $Id: EasyL2v2Utils.java,v 1.1 2005/10/27 13:10:11 aputzinger Exp $
 */

public class EasyL2v2Utils {

	/**
	 * This method converts an EasyL2 frame to EasyL2v2;
	 * frame marking (adding 01111110 to begin and end or frame) and
	 * bitstuffing is done. After 5 set bits, an additional 0 is stuffed.
	 * @param frame The EasyL2 frame data
	 * @param logger The logger where to write messages
	 * @return Returns the EasyL2v2 data 
	 */
	public static BitSet convert_EasyL2_To_EasyL2v2(BitSet frame, Logger logger) {
		BitSet result = new BitSet();
		
		//
		// FIXME: Add code here
		//
		
		// only temporary - while no real implementation available, send back unchanged frame
		logger.log("EasyL2v2 not yet implemented :-(");
		result = frame;
		
		return result;
	}
	
	/**
	 * This method removes converts an EasyL2v2 frame into an EasyL2 frame.
	 * frame header and trailer removal as well as bit-destuffing is done
	 * @param frame The EasyL2v2 frame data
	 * @param logger The logger to use
	 * @return Returns the EasyL2 data
	 */
	public static BitSet convert_EasyL2v2_To_EasyL2(BitSet frame, Logger logger) {
		BitSet result = new BitSet();
		
		//
		// FIXME: Add code here
		//
		
		// only temporary - while no real implementation available, send back unchanged frame
		logger.log("EasyL2v2 not yet implemented :-(");
		result = frame;
		
		return result;
	}

}